org.apache.jmeter.report.dashboard

## Class JsonizerVisitor

- java.lang.Object
- - org.apache.jmeter.report.dashboard.JsonizerVisitor

- All Implemented Interfaces:
    ResultDataVisitor<java.lang.String>

      public class JsonizerVisitor
      extends java.lang.Object
      implements ResultDataVisitor<java.lang.String>

  The class JsonizerVisitor provides a visitor that can get json-like string from ResultData.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonizerVisitor()` Instantiates a new jsonizer visitor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `visitListResult(ListResultData listResult)` Visits the specified list result.
    `java.lang.String` | `visitMapResult(MapResultData mapResult)` Visits the specified map result.
    `java.lang.String` | `visitValueResult(ValueResultData valueResult)` Visits the specified value result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonizerVisitor

          public JsonizerVisitor()

      Instantiates a new jsonizer visitor.

  - ### Method Detail

    - #### visitListResult

          public java.lang.String visitListResult(ListResultData listResult)

      Description copied from interface: `ResultDataVisitor`
      Visits the specified list result.
      Specified by:
        `visitListResult` in interface `ResultDataVisitor<java.lang.String>`
      Parameters:
        `listResult` - the list result
      Returns:
        the result of the visit

    - #### visitMapResult

          public java.lang.String visitMapResult(MapResultData mapResult)

      Description copied from interface: `ResultDataVisitor`
      Visits the specified map result.
      Specified by:
        `visitMapResult` in interface `ResultDataVisitor<java.lang.String>`
      Parameters:
        `mapResult` - the map result
      Returns:
        the result of the visit

    - #### visitValueResult

          public java.lang.String visitValueResult(ValueResultData valueResult)

      Description copied from interface: `ResultDataVisitor`
      Visits the specified value result.
      Specified by:
        `visitValueResult` in interface `ResultDataVisitor<java.lang.String>`
      Parameters:
        `valueResult` - the value result
      Returns:
        the result of the visit

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.